aboutsummaryrefslogtreecommitdiffstats
path: root/main/mdocml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-29 10:47:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-29 10:49:21 +0000
commit6b731eecdf600d8d435d129bf2838e3babb77c56 (patch)
treedcf4a44b2cbaea71eb24f431ddf58c1f8621e800 /main/mdocml/APKBUILD
parent1ec859a34c5dd7879bc169f2ff169b3793822bb5 (diff)
downloadaports-6b731eecdf600d8d435d129bf2838e3babb77c56.tar.gz
aports-6b731eecdf600d8d435d129bf2838e3babb77c56.tar.bz2
aports-6b731eecdf600d8d435d129bf2838e3babb77c56.tar.xz
main/mdocml: build shared, add 'man' and trigger for db
Diffstat (limited to 'main/mdocml/APKBUILD')
-rw-r--r--main/mdocml/APKBUILD50
1 files changed, 30 insertions, 20 deletions
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index 4ddc9c2e09..a221a8b96a 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
@@ -1,53 +1,63 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mdocml
pkgver=1.13.2
-pkgrel=0
+pkgrel=1
pkgdesc="mdoc/man compiler"
url="http://mdocml.bsd.lv/"
arch="all"
license="BSD"
depends=
-makedepends=
-install=
+makedepends="sqlite-dev"
+install="$pkgname.post-deinstall"
+triggers="$pkgname.trigger=/usr/share/man/*"
subpackages="$pkgname-doc $pkgname-dev $pkgname-man"
-source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz man.sh"
+source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz
+ shared-libmandoc.patch
+ man.conf
+ "
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- ./configure || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ cat >configure.local<<EOF
+PREFIX=/usr
+MANDIR=/usr/share/man
+LIBDIR=/usr/lib
+CFLAGS="$CFLAGS"
+EOF
}
build() {
cd "$_builddir"
+ ./configure || return 1
make || return 1
}
package() {
cd "$_builddir"
- make \
- DESTDIR="$pkgdir" \
- PREFIX=/usr \
- MANDIR=/usr/share/man \
- BINDIR=/usr/bin \
- SBINDIR=/usr/sbin \
- LIBDIR=/usr/lib \
- INCLUDEDIR=/usr/include \
- EXAMPLEDIR=/usr/share/doc/mdocml/examples \
- base-install
+ make -j1 DESTDIR="$pkgdir" base-install db-install || return 1
+ install -Dm644 "$srcdir"/man.conf "$pkgdir"/etc/man.conf || return 1
}
man() {
arch="noarch"
- cd "$srcdir"
+ pkgdesc="dummy package for upgrade compatibility. This can safely be rebmoved"
depends="mdocml"
- install -Dm 755 man.sh "$subpkgdir"/usr/bin/man || return 1
+ mkdir -p "$subpkgdir"
}
md5sums="831ba06ef06bccdf35346fc3310263a5 mdocml-1.13.2.tar.gz
-cc5c665dc509243963f1b3a60f655b7f man.sh"
+d249cec65ed75006ca610b9c8b01ba66 shared-libmandoc.patch
+6e893bef0cf680eec807b230e6619d27 man.conf"
sha256sums="9074755da96e8afbf9634d7ffa29c1decda2f642e13d9d844f26cd1e06d9716b mdocml-1.13.2.tar.gz
-03039dd8c79cf054200cfe328924078ecc103f87be94ecabf7f7e5ad9e3c48eb man.sh"
+9f5a864d993e3f061161756017fcfb9906f68223298ebe7b44f1168beed85d79 shared-libmandoc.patch
+3381c6ceb99e7db1404fdb44419040c3b441a251d594292e53545b5e4e378e2b man.conf"
sha512sums="7db73ff83be9acff50e8570de96591869c950dad8b350d119e57fcf39937a3272cf9d70397af2e21ec69877c5f81bc1c4e027910a4aef1033ff54b744904412c mdocml-1.13.2.tar.gz
-2d6bcde740d613ab225c2e35e53d6057bdc367ef85c75ccb99df587f51484e87c5fd958298be9d770241014eec4a2bd7be8084f00815fd64a999cb7752bdfb3f man.sh"
+fd69542e4f853827637a28f84e845aea447d63bcad51c9b45abb63ee1233a9c3a143a85016c75a9d596a2da5212460efad765ba8dd52de86e4aa1693da6617d5 shared-libmandoc.patch
+0723c32ab70e5b1c77768ca78d7437b26bed19b90b27876b10cc463359c41332befc0105fc1e23ceae48de5a892f1aa7ac60ef7eb0b6b8f1616726c4300632fe man.conf"